토큰 및 NFT (DAS)
getNftEditions
솔라나 NFT 마스터 에디션의 모든 에디션과 프린트를 에디션 번호와 메타데이터를 포함하여 페이지 매김 기능과 함께 검색합니다.
POST
/
getNftEditions
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getNftEditions",
"params": {
"mint": "Ey2Qb8kLctbchQsMnhZs5DjY32To2QtPuXNwWvk4NosL"
}
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getNftEditions",
"params": { "mint": "Ey2Qb8kLctbchQsMnhZs5DjY32To2QtPuXNwWvk4NosL" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getNftEditions',
params: {mint: 'Ey2Qb8kLctbchQsMnhZs5DjY32To2QtPuXNwWvk4NosL'}
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"last_indexed_slot": 365750752,
"total": 1,
"limit": 1,
"page": 1,
"master_edition_address": "8SHfqzJYABeGfiG1apwiEYt6TvfGQiL1pdwEjvTKsyiZ",
"supply": 61,
"max_supply": 69,
"editions": [
{
"mint": "GJvFDcBWf6aDncd1TBzx2ou1rgLFYaMBdbYLBa9oTAEw",
"edition_address": "<string>",
"edition": 123,
"burnt": "<unknown>"
}
]
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid request parameters."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Authentication failed. Missing or invalid API key."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "You do not have permission to access this resource."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32004,
"message": "No NFT editions found for the specified mint address."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32029,
"message": "Rate limit exceeded. Please try again later."
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32000,
"message": "An unexpected error occurred on the server."
},
"id": "1"
}요청 매개변수
string
필수
모든 에디션을 검색할 솔라나 마스터 에디션 NFT의 민트 주소입니다.
number
솔라나 NFT 에디션 결과를 페이지 매김하여 탐색하기 위한 페이지 번호입니다.
number
단일 요청에서 반환할 최대 솔라나 NFT 에디션 수입니다.
본문
application/json
응답
성공적인 응답
이 슬롯까지의 모든 데이터가 인덱싱되었음이 보장됩니다.
예시:
365750752
이 마스터 에디션에서 민팅된 한정판 Solana NFT의 총 수량입니다.
예시:
1
요청된 NFT 에디션의 최대 수입니다.
예시:
1
결과의 현재 페이지입니다.
예시:
1
Solana NFT 프린트 에디션을 제어하는 마스터 에디션 NFT의 Solana 블록체인 주소입니다.
예시:
"8SHfqzJYABeGfiG1apwiEYt6TvfGQiL1pdwEjvTKsyiZ"
이 마스터 에디션에서 민팅된 Solana NFT 에디션의 현재 공급량입니다.
예시:
61
이 마스터 에디션에서 민팅할 수 있는 최대 가능 공급량입니다.
예시:
69
이 마스터 에디션에서 민팅된 개별 Solana NFT 에디션의 배열입니다.
Show child attributes
Show child attributes
이 페이지가 도움이 되었나요?
⌘I
getNftEditions
